/*
 * $Id: IBeforeCommitListener.java,v 1.1 2011/06/03 01:16:05 srevilak Exp $
 */

package edu.umb.bench.framework;

/**
 * An event listener, for receiving beforeCommit events.
 *
 * Sample usage:
 *
 * <pre>
 * if (beforeCommitListener != null) {
 *    beforeCommitListener.beforeCommit(this);
 * }
 * connection.commit()
 * </pre>
 *
 * @author srevilak
 * @since 6/2/2011
 */
public interface IBeforeCommitListener {

    public void beforeCommit(Object notifier);

}
