/******************************************************
The transaction lock system global types

(c) 1996 Innobase Oy

Created 5/7/1996 Heikki Tuuri
*******************************************************/

#ifndef lock0types_h
#define lock0types_h

#include "ut0lst.h"
#include "ut0byte.h"

#define lock_t ib_lock_t
typedef struct lock_struct	lock_t;
typedef struct lock_sys_struct	lock_sys_t;

/**
 * SREVILAK: doubly-linked-list hash table
 */
#define LOCK_HASH_CELL_STRUCT UT_LIST_BASE_NODE_T(lock_t) 
typedef struct lock_hash_table_struct lock_hash_table_t ;
typedef LOCK_HASH_CELL_STRUCT lock_hash_cell_t;


/*
 * SREVILAK: A CTG edge list is an array of dulint.  There is some
 * book-keeping information at the head of the array.  The bookkeeping
 * information is followed by a list of dulint transaction ids.
 */ 
typedef dulint ctg_edgelist_t;

/*
 * SREVILAK: cycle testing graph
 */
typedef struct ctg_struct ctg_t;


#endif
