/*
 * $Id: BaseAuditor.java,v 1.1 2010/01/31 02:46:45 srevilak Exp $
 */

package edu.umb.bench.framework;
import java.sql.SQLException;
import java.util.Map;
import java.util.HashMap;

/**
 * Base class for auditors.
 */
public class BaseAuditor extends BaseObject implements IAuditor {

    /**
     * no-op post-setup auditor.
     */
    public void postSetup() throws SQLException {

    }

    /**
     * no-op post test auditor.
     */
    public void postTest() throws SQLException {

    }

    /**
     * Returns an empty result map
     */
    public Map<String,Object> getResults() {
        Map<String,Object> r = new HashMap<String,Object>();
        return r;
    }
}
