/*
 * $Id: GeneratorUnif.java,v 1.1 2010/01/31 00:56:32 srevilak Exp $
 */

package edu.umb.bench.framework;

/**
 * Uniform random number generator, that uses Math.random()
 *
 * @version $Revision: 1.1 $ $Date: 2010/01/31 00:56:32 $
 */
public class GeneratorUnif implements INumberGenerator {
    
    /**
     * Generates a random number (via math random).
     */
    public double getNumber() {
        return Math.random();
    }
}
