/*
 * $Id: INumberGenerator.java,v 1.1 2010/01/31 00:57:48 srevilak Exp $
 */

package edu.umb.bench.framework;

/**
 * Interface for random number generators.
 *
 * <p>
 * There are several implementations of this interface.
 * Each returns a number from [0, 1), according to some
 * kind of distribution.
 *
 * @version $Revision: 1.1 $ $Date: 2010/01/31 00:57:48 $
 */
public interface INumberGenerator {

    public double getNumber();

}
