/*
 * $Id: TxResult.java,v 1.2 2011/02/23 16:27:43 srevilak Exp $
 */

package edu.umb.bench.sibench;

/**
 * Dummy result object.
 *
 * @version $Revision: 1.2 $ $Date: 2011/02/23 16:27:43 $
 */
class TxResult {
    
    private String selectColumn;

    /** Length of time spent executing sql statements (ms) */
    private long execDuration;

    /** length of time spent executing commit statements (ms) */
    private long commitDuration;

    public TxResult() {
        reset();
    }

    public void setColumn(String colname) {
        selectColumn = colname;
    }

    public String getColumn() {
        return selectColumn;
    }


    public void setExecDuration(long duration) {
        execDuration = duration;
    }

    public long getExecDuration() {
        return execDuration;
    }


    public void setCommitDuration(long duration) {
        commitDuration = duration;
    }

    public long getCommitDuration() {
        return commitDuration;
    }

    final public void reset() {
        selectColumn = "[unknown]";

        /* -1 means "uninitialized". */
        execDuration = -1;
        commitDuration = -1;
    }
}
