/*
 * $Id: Constants.java,v 1.6 2010/05/17 12:55:59 srevilak Exp $
 */

package edu.umb.bench.simple;

/**
 * Constant values for simple workload.
 */
public class Constants {

    /**
     * Number of rows per scale ({@value})
     */
    public static final int ROWS_PER_SCALE = 10000;

    /**
     * Result key for the number of successes.
     */
    public static final String RESULT_SUCCESS = "simple-success";

    /**
     * Result key for the number of failures.
     */
    public static final String RESULT_FAILURE = "simple-failures";

    /**
     * Result key for number of rows post setup.
     */
    public static final String AUDIT_COUNT_BEFORE = "audit-count-before";

    /**
     * Result key for number of rows post test.
     */
    public static final String AUDIT_COUNT_AFTER = "audit-count-after";

    private Constants() {
        /* just constants */
    }

}
