/*
 * $Id: umb-test.h,v 1.2 2009/10/08 01:18:42 srevilak Exp $
 */

#ifndef umb_test_h
#define umb_test_h

#ifdef UNIV_DEBUG

#include <stdio.h>
#include "ut0dbg.h"

/**
 * Macro to mark unit test entry points, to make
 * them easier to find
 */
#define UMB_TEST_ENTRY

/**
 * Macro to be called at the beginning of each test
 * entry point.
 */
#define UMB_TEST_ANNOUNCE fprintf(stderr, "TEST %s\n", __FILE__)

/**
 * Macro to note execution of a specific test function
 *
 * INPUT: x = function name.
 */
#define UMB_TEST_FUNC_ANNOUNCE(x) fprintf(stderr, "     %s\n", x)


#endif /* UNIV_DEBUG */
#endif /* umb_test_h */
